Subject: Re: bug#13727: 24.3.50; terminal emacs flickers when redrawing frame

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Feb 2013 20:38:22 +0200

> From: "Jose A. Ortega Ruiz" <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 21 Feb 2013 18:51:19 +0100
> 
> In Gnus, the redrawing is more apparent because there are 3 buffers and
> hence 3 modelines, and the flicker is more visible when it happens in
> modelines (when browsing email folders in Gnus, the three modelines
> sometimes change simultaneously).  The flickering there doesn't need the
> same buffer open in two different frame types.

Do all the 3 buffers change simultaneously, due to some Gnus command
you run?  If so, then the flickering is expected: redisplay due to
simultaneous changes in several buffers is not optimized in Emacs, it
usually results in all windows on all frames being redisplayed.